Subject: Pluginviews and properties
Description

Properties defined in node yaml not present in actions used by pluginview.
Having a defined targetNode property in my plugin configuration.
This value is not present if an action is defined as a pluginview.

History
#1 - 2014-05-19 12:55 - Bastian Waidelich
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich

Hi Carsten,

can you please add a short example, I can't comprehend/reproduce the issue.

#2 - 2014-05-19 13:02 - Carsten Bleicker

Sure,
this is my current yaml for my plugin.

'PIPEU.Factura.NodeTypes:Basket':
  superTypes: ['TYPO3.Neos:Plugin']
  ui:
    label: 'Basket'
    group: 'plugins'
    inspector:
      groups:
        settings:
          label: 'Settings'
          position: 100
  options:
    pluginViews:
      'InvoiceAction':
        label: 'Invoice View'
        controllerActions:
          'PIPEU\Factura\NodeTypes\Controller\BasketController': ['invoice']
      'DeliveryAction':
        label: 'Delivery View'
        controllerActions:
          'PIPEU\Factura\NodeTypes\Controller\BasketController': ['delivery']
      'ProviderAction':
        label: 'Provider View'
        controllerActions:
          'PIPEU\Factura\NodeTypes\Controller\BasketController': ['provider']
      'ControlAction':
        label: 'Control View'
        controllerActions:
          'PIPEU\Factura\NodeTypes\Controller\BasketController': ['control']
  properties:
    termsAndConditionNode:
      type: reference
      ui:
        label: 'Terms and Conditions Location'
        inspector:
          group: 'settings'

having neos sites:

basket (contains basket plugin)
  invoid (contains plugin view)
  delivery (contains plugin view)
  provider (contains plugin view)
  control (contains plugin view)

example debug with usage of pluginviews this debug returns NULL:

public function controlAction(){
  \TYPO3\Flow\var_dump($this->request->getInternalArgument('__termsAndConditionNode'), __CLASS__.'#'.__LINE__, FALSE, FALSE);
}

without usage of pluginviews (simply remove them from the yaml and call action via get paramt) the debug is not empty and shows me the node.

#3 - 2014-06-08 21:12 - Christian Müller

You will get the PluginView node inside your PluginView. I guess we need to (also) provide the original plugin node...

#4 - 2014-12-16 11:20 - Bastian Waidelich
- Status changed from Needs Feedback to New
- Assigned To deleted (Bastian Waidelich)

Thanks for the feedback (and sorry for the missing response).
I totally agree, this would make a lot of sense. Unfortunately I can't look into this one right now so I unassign myself in case someone feels like taking
over

#5 - 2015-03-20 11:20 - Dominique Feyer
- Status changed from New to Closed
